<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($_USER['admin'] > '0' && $_USER['admin'] < '3'){
################################################################################
if ($_USER['admin'] == '1') echo '<div class="title"><b>'.razd.' Админ панель | Мультиаккаунты</b></div>';
if ($_USER['admin'] == '2') echo '<div class="title"><b>'.razd.' Модер-Панель | Мультиаккаунты</b></div>';
################################################################################

$k_post = DB :: run() -> querySingle("select count(`id`) as cnt from `users` group by `ip` having cnt > 1");
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;

$sql = DB :: run() -> query("select group_concat(login) as logins, ip, ua, count(1) as cnt from `users` group by `ip` having cnt > 1 limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Мультиаккаунтов еще нет!</center></div>';
} else {
			
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu"><i class="fa  fa-users fa-fw"></i> '.checkout($row -> logins).' - <b><span style="color:red">'.checkout($row -> ip).'</span></b> [<b>'.checkout($row -> ua).'</b>]</div>';
}

if ($k_page > 1) navigation(URL.'/_multi?', $k_page, $page);
}

if ($_USER['admin'] == '1') echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

if ($_USER['admin'] == '2') echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/mpanel">Модер-Панель</a></div>';

} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>